mixed-port: 7890
allow-lan: false
mode: global
log-level: info
ipv6: false

dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: false
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
    - https://1.1.1.1/dns-query
    - https://8.8.8.8/dns-query
  fallback:
    - https://9.9.9.9/dns-query

tun:
  enable: true
  stack: system
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - any:53

proxies:
  - name: freelance-hy2
    type: hysteria2
    server: 88.198.110.79
    port: 443
    password: "Admin:a731f983b2f335c27b7e2353b6e5d668"
    sni: freelance.andrew-dev.com
    skip-cert-verify: true
    udp: true
    up: "10 Mbps"
    down: "50 Mbps"
    alpn:
      - h3

proxy-groups:
  - name: Proxy
    type: select
    proxies:
      - freelance-hy2
      - DIRECT

rules:
  - MATCH,Proxy
